Package jakarta.security.auth.message.callback

## Class SecretKeyCallback.AliasRequest

- java.lang.Object
- - jakarta.security.auth.message.callback.SecretKeyCallback.AliasRequest

- All Implemented Interfaces:
    `SecretKeyCallback.Request`
  Enclosing class:
    SecretKeyCallback

      public static class SecretKeyCallback.AliasRequest
      extends java.lang.Object
      implements SecretKeyCallback.Request

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AliasRequest​(java.lang.String alias)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAlias()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AliasRequest

          public AliasRequest​(java.lang.String alias)

  - ### Method Detail

    - #### getAlias

          public java.lang.String getAlias()